yongxu_16
yongxu_16
2016-09-02 06:18
采纳率: 40%
浏览 8.3k
已采纳

maven-dependency-plugin 报错

org.apache.maven.plugin.MojoExecutionException: Artifact has not been packaged yet. When used on reactor artifact, copy should be executed after packaging: see MDEP-187.
pom中报错内容如上, 下面是我配的插件代码 .有解决过的请帮忙回答下 ,谢谢

        <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-dependency-plugin</artifactId>
            <version>2.9</version>
            <executions>
                <execution>
                    <id>copy-dependencies</id>
                    <phase>package</phase>
                    <goals>
                        <goal>copy-dependencies</goal>
                    </goals>
                    <configuration>
                        <outputDirectory>${project.build.directory}/lib</outputDirectory>
                    </configuration>
                </execution>
            </executions>
        </plugin>
  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

4条回答 默认 最新

  • yongxu_16
    yongxu_16 2016-09-02 06:54
    已采纳

    解决了, IDE的问题, STS上出现ECLIPSE中就没事, 而且两边都不影响发布.
    只是看着不爽.

    点赞 评论
  • huixinjinkongxin
    糖果给你 2016-09-02 06:29

    到你的maven的本地库中,找到这个jar包所在的文件夹,能不能找到相应版本的jar包

    点赞 评论
  • huixinjinkongxin
    糖果给你 2016-09-02 06:30

    有可能没有下载完整,建议你把那个文件夹下的文件都删除,重新update一下maven

    点赞 评论
  • pianjiao006
    pianjiao006 2018-07-31 09:48

    虽然这个不怎么影响使用,确实看到种错误很不爽,把maven库的包删除 重新下载即可。

    点赞 评论

相关推荐